Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02603 Sound Minor Always Oct 26, 2008, 08:25 Jul 25, 2020, 06:32
Tester Gyrovision View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver cinemat.cpp
Version 0.128u1 Fixed in Version 0.223 Build
Summary 02603: tailg: One sample plays incorrectly
Description slaser.wav sample is played in segments during the game, four times for each one time it needs to play. Instead of the .wav playing one time and all the way through, only the very first part of the .wav is played four times very very quickly.
Steps To Reproduce Play the slaser.wav in a player outside of MAME and then compare to how MAME is playing it. I was able to count the segments in MAME by using stepl.wav from Lunar Rescue samples renaming it "slaser" and using it in tailg. By recording the sound during the game and then slowing it down in an editor, you can count four segments of the very beginning of the wav.
Additional Information This has been an issue since samples were first supported for tailg. I reported it in '05-'06 but it was never confirmed.
Flags
Regression Version 0.79u2
Affected Sets / Systems tailg
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.02938
Tafoid
Administrator
Oct 26, 2008, 23:08
edited on: Oct 26, 2008, 23:08
While I can validate it appears that the sample "slaser" is being issued 4 times in a row in succession and doesn't play all the way through - there is not much we can do unless we have some PCB output to compare it too. In theory, it could play the sample 3 times, then on the 4th time, play it fully - perhaps it's supposed to do that? To me, it doesn't make sense that one particular sample in a set would repeat in rapid succession if it were not supposed to do so, as the samples get the signals from the PCB. I haven't played an actual Tail Gunner in almost 15 years, so haven't the sufficient recall to know if it's supposed to be a single shot or 4 rapidly repeating shots. Research for authentic PCB or arcade recordings of the video and sound of this game turned up nothing. I'll leave this open for some direction and comment from developers.
User avatar
No.02939
Gyrovision
Tester
Oct 27, 2008, 03:50
edited on: Oct 27, 2008, 04:05
Although I have played Tailgunner/Tailgunner II in the 1980's religiously enough to have the sound effects permanently etched into my memory, I realize this is not credible evidence to support my claim. This description from the manual of a ramping high to low frequency should hopefully be convincing enough to prove that MAME is not playing the sample to it's original design.

Description of Phasor (slaser) audio circuit from the original manual:
The Phasor sound is created by ramping a VCO (IC11), from a high frequency to a low frequency while feeding the signal into a divider (IC8). When pin 4 of IC4 goes to a low level, pin 6 goes low enabling 1/2 of IC8. At this time pin 4 of IC6 goes from it's low state enabling C13 to charge, which changes the voltage at pin 3 of IC11 causing the frequency shift. The output signal is then converted to a 5 volt square wave by Q1 and fed into IC8 through IC5. The digital outputs of IC8 are fed into R35-38 and R21, R22, and C8 converting them into an analog signal. When pin 4 of IC4 returns to a high logic lever, IC8 is disabled permitting no sound out and C13 is grounded through IC6 causing the VCO to return to it's highest frequency.
User avatar
No.02941
Gyrovision
Tester
Oct 27, 2008, 07:14
cinemat.c
TODO:
- Look into bad sample latency

I skimmed over this part. My apologies.
User avatar
No.04644
Gyrovision
Tester
Jul 15, 2009, 18:40
edited on: May 31, 2012, 05:27
User avatar
No.04686
inkeye
Tester
Jul 25, 2009, 01:16
I looked at this and agree with Gyrovision's assessment somewhat; the sample is not played correctly, though I think it is just that the sample is not played in its entirety. I also observed that sometimes when a ship gets past you, and it plays the laser sound 3 or 4 times in a row, it plays the sample correctly, but otherwise during gameplay it is cut short. I noticed this was also a problem in v. .112 (I like that version), so this problem's been around a long time.